### Method

# Shell NetworkAgent add_vpn_secret

#### Declaration [src]

    void
    shell_network_agent_add_vpn_secret (
      ShellNetworkAgent* self,
      gchar* request_id,
      gchar* setting_key,
      gchar* setting_value
    )

#### Description

No description available.

#### Parameters

`request_id`

  Type: `gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`setting_key`

  Type: `gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`setting_value`

  Type: `gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.